#Module-Specific definitions
%define mod_version 0.1
%define release 1mdk
%define mod_name mod_diagnostics
%define mod_conf 94_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_diagnostics is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
# http://www.webthing.com/software/mod_diagnostics.c
Source0:	%{mod_name}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	Apache License
URL:		http://www.webthing.com/software/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper

%description
mod_diagnostics is a very simple filter module. It can be inserted
anywhere and in any number of places in the Apache filter chain, 
and merely listens to and reports traffic going through. It is 
designed as a learning aid and a debugging tool for Apache filter 
modules.

%prep

%setup -q -c -n %{mod_name}-%{mod_version}

%build

%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc %{mod_name}.c
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.1-1mdk
- built for apache 2.0.48

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.1-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.1-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.1-1mdk
- initial cooker contrib
- this module has no official version, but rpm needs one, so 
  pick one from the hat...

